import { OnInit, OnChanges, OnDestroy } from '@angular/core';
import { AbstractControl } from '@angular/forms';
import { JsonSchemaFormService } from '../../json-schema-form.service';
export declare class MaterialDatepickerComponent implements OnInit, OnChanges, OnDestroy {
    private jsf;
    formControl: AbstractControl;
    controlName: string;
    controlValue: any;
    dateValue: any;
    boundControl: boolean;
    options: any;
    autoCompleteList: string[];
    layoutNode: any;
    layoutIndex: number[];
    dataIndex: number[];
    private dataChanges$;
    constructor(jsf: JsonSchemaFormService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    readonly controlDisabled: boolean;
    ngOnChanges(): void;
    setControlDate(dateString: string): void;
    updateValue(event: any): void;
    updateDisabled(): void;
}
